System
Health check, key info, server info. · 4 endpoints
Check that the API is up
GET
/api/v1/healthNo API key neededNo key required. Use it for uptime monitoring.
Example request
bash
curl "http://127.0.0.1:9900/api/v1/health"Details of the current key (scopes, allowed accounts)
GET
/api/v1/meAny API keyExample request
bash
curl "http://127.0.0.1:9900/api/v1/me" \
-H "Authorization: Bearer dpk_xxx"Example response
json
{
"success": true,
"data": {
"kind": "apikey",
"id": "6f1c…",
"name": "Bot CSKH",
"scopes": [
"chat:read",
"chat:send"
],
"account_ids": [
"0501234567"
],
"rate_limit_per_min": 0,
"erp_role": "manager",
"allowed_ips": null
},
"request_id": "3f0c0b6e-6d0a-4b8e-9d1a-1d2f3a4b5c6d"
}Version, mode, workspace, server/tunnel status
GET
/api/v1/system/infoScope: settings:readExample request
bash
curl "http://127.0.0.1:9900/api/v1/system/info" \
-H "Authorization: Bearer dpk_xxx"Scope and preset catalog
GET
/api/v1/scopesNo API key neededExample request
bash
curl "http://127.0.0.1:9900/api/v1/scopes"